CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_DettImmobiliare] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettImmobiliare',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_DettImmobiliare  
 insert into C6StagingPeriodicoImmobiliare.RP_DettImmobiliare  
 /* 21/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati.   
 Sostituzione del campo valore immobile con valoreimmobiletotale per l'evolutiva patrimonio immobiliare.  
 select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettImmobiliare*/  
 select  
 [chiaveProdottoTerzi],  
 [descrizione],  
 [codProvincia],  
 [provincia],  
 [codComune],  
 [comune],  
 [codZona],  
 [zona],  
 [superficie],  
 NULL,  
 NULL,  
 NULL,  
 --[valoreImmobile],  
 [valoreImmobileTotale],  
 NULL,  
 [renditaAnnua],  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 [codTipologia],  
 [tipologia]   
 from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettImmobiliare  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettImmobiliare' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_DettImmobiliare'  
  )  
end